import request from '@/utils/request'

// 查询工程详情列表
export function listEngineeringInfo(query) {
  return request({
    url: '/zdsz/engineeringInfo/list',
    method: 'get',
    params: query
  })
}

// 查询工程详情详细
export function getEngineeringInfo(id) {
  return request({
    url: '/zdsz/engineeringInfo/' + id,
    method: 'get'
  })
}

// 新增工程详情
export function addEngineeringInfo(data) {
  return request({
    url: '/zdsz/engineeringInfo',
    method: 'post',
    data: data
  })
}

// 修改工程详情
export function updateEngineeringInfo(data) {
  return request({
    url: '/zdsz/engineeringInfo',
    method: 'put',
    data: data
  })
}

// 删除工程详情
export function delEngineeringInfo(id) {
  return request({
    url: '/zdsz/engineeringInfo/' + id,
    method: 'delete'
  })
}
