import request from '@/utils/request'

// 查询工程节点列表
export function listEngineeringNode(query) {
  return request({
    url: '/zdsz/engineeringNode/list',
    method: 'get',
    params: query
  })
}

// 查询工程节点详细
export function getEngineeringNode(id) {
  return request({
    url: '/zdsz/engineeringNode/' + id,
    method: 'get'
  })
}

// 新增工程节点
export function addEngineeringNode(data) {
  return request({
    url: '/zdsz/engineeringNode',
    method: 'post',
    data: data
  })
}

// 修改工程节点
export function updateEngineeringNode(data) {
  return request({
    url: '/zdsz/engineeringNode',
    method: 'put',
    data: data
  })
}

// 删除工程节点
export function delEngineeringNode(id) {
  return request({
    url: '/zdsz/engineeringNode/' + id,
    method: 'delete'
  })
}
